<?php

namespace App\Filament\Resources\Abouts\Schemas;

use Filament\Infolists\Components\IconEntry;
use Filament\Infolists\Components\ImageEntry;
use Filament\Infolists\Components\TextEntry;
use Filament\Schemas\Schema;

class AboutInfolist
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextEntry::make('title')
                    ->label('Judul'), 
                ImageEntry::make('image')
                    ->label('Gambar') 
                    ->disk('public'),
                IconEntry::make('is_active')
                    ->label('Status Aktif') 
                    ->boolean(),
                TextEntry::make('creator.name')
                    ->label('Dibuat Oleh'), 
                TextEntry::make('editor.name')
                    ->label('Diubah Oleh'), 
                TextEntry::make('created_at')
                    ->label('Dibuat Pada') 
                    ->dateTime(),
                TextEntry::make('updated_at')
                    ->label('Diubah Pada') 
                    ->dateTime(),
            ]);
    }
}